org.apache.sling.maven.slingstart

## Class DependencyLifecycleParticipant

- java.lang.Object
- - org.apache.maven.AbstractMavenLifecycleParticipant
  - - org.apache.sling.maven.slingstart.DependencyLifecycleParticipant

    @Component(role=org.apache.maven.AbstractMavenLifecycleParticipant.class)
    public class DependencyLifecycleParticipant
    extends org.apache.maven.AbstractMavenLifecycleParticipant

Maven lifecycle participant which adds the artifacts of the model to the dependencies. This cannot happen as part of a regular Mojo (as there the dependencies have already been calculated) therefore a build extension is necessary to achieve that. This build extension is loaded once per version of the slingstart-maven-plugin being referenced in any of the modules.

See Also:
  MNG-4224 - Maven Lifecycle Participant, Maven Classloading

### Constructor Summary

Constructors
Constructor and Description
`DependencyLifecycleParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterProjectsRead(org.apache.maven.execution.MavenSession session)`

### Methods inherited from class org.apache.maven.AbstractMavenLifecycleParticipant

`afterSessionEnd, afterSessionStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependencyLifecycleParticipant

    public DependencyLifecycleParticipant()

### Method Detail

#### afterProjectsRead

    public void afterProjectsRead(org.apache.maven.execution.MavenSession session)
                           throws org.apache.maven.MavenExecutionException

Overrides:
  `afterProjectsRead` in class `org.apache.maven.AbstractMavenLifecycleParticipant`
Throws:
  `org.apache.maven.MavenExecutionException`